Index: ardour/SConstruct
===================================================================
--- a/SConstruct	2008-12-25 13:18:49.000000000 -0300
+++ b/SConstruct	2008-12-25 16:39:46.000000000 -0300
@@ -504,8 +504,8 @@
 
 libraries['core'] = LibraryInfo (CCFLAGS = '-Ilibs')
 
-#libraries['sndfile'] = LibraryInfo()
-#libraries['sndfile'].ParseConfig('pkg-config --cflags --libs sndfile')
+libraries['sndfile-ardour'] = LibraryInfo()
+libraries['sndfile-ardour'].ParseConfig('pkg-config --cflags --libs sndfile')
 
 libraries['lrdf'] = LibraryInfo()
 libraries['lrdf'].ParseConfig('pkg-config --cflags --libs lrdf')
@@ -533,6 +533,12 @@
 else:
     env['AUBIO'] = 0
 
+libraries['vamp'] = LibraryInfo ()
+libraries['vamp'].ParseConfig('pkg-config --cflags --libs vamp-sdk')
+
+libraries['vamphost'] = LibraryInfo ()
+libraries['vamphost'].ParseConfig('pkg-config --cflags --libs vamp-hostsdk')
+
 env = conf.Finish ()
 
 if env['FFT_ANALYSIS']:
@@ -862,18 +868,15 @@
 # these are part of the Ardour source tree because they are C++
 # 
 
-libraries['vamp'] = LibraryInfo (LIBS='vampsdk',
-                                 LIBPATH='#libs/vamp-sdk',
-                                 CPPPATH='#libs/vamp-sdk')
-libraries['vamphost'] = LibraryInfo (LIBS='vamphostsdk',
-                                 LIBPATH='#libs/vamp-sdk',
-                                 CPPPATH='#libs/vamp-sdk')
-
 env['RUBBERBAND'] = False
 
 conf = Configure (env)
-
-if conf.CheckHeader ('fftw3.h'):
+if env['SYSLIBS']:
+    libraries['rubberband'] = LibraryInfo()
+    libraries['rubberband'].ParseConfig('pkg-config --cflags --libs rubberband')
+    libraries['rubberband'].Append( CCFLAGS = [ '-DUSE_RUBBERBAND' ] )
+    env['RUBBERBAND'] = True
+elif conf.CheckHeader ('fftw3.h'):
     env['RUBBERBAND'] = True
     libraries['rubberband'] = LibraryInfo (LIBS='rubberband',
                                            LIBPATH='#libs/rubberband',
@@ -1089,10 +1092,6 @@
 # cannot use system one for the time being
 #
     
-    libraries['sndfile-ardour'] = LibraryInfo(LIBS='libsndfile-ardour',
-                                    LIBPATH='#libs/libsndfile',
-                                    CPPPATH=['#libs/libsndfile/src'])
-
 #    libraries['libglademm'] = LibraryInfo()
 #    libraries['libglademm'].ParseConfig ('pkg-config --cflags --libs libglademm-2.4')
 
@@ -1112,11 +1111,9 @@
     ]
     
     subdirs = [
-        'libs/libsndfile',
         'libs/pbd',
         'libs/midi++2',
         'libs/ardour',
-        'libs/vamp-sdk',
         'libs/vamp-plugins/',
     # these are unconditionally included but have
     # tests internally to avoid compilation etc
@@ -1165,9 +1162,6 @@
     libraries['soundtouch'] = LibraryInfo(LIBS='soundtouch',
                                           LIBPATH='#libs/soundtouch',
                                           CPPPATH=['#libs', '#libs/soundtouch'])
-    libraries['sndfile-ardour'] = LibraryInfo(LIBS='libsndfile-ardour',
-                                    LIBPATH='#libs/libsndfile',
-                                    CPPPATH=['#libs/libsndfile', '#libs/libsndfile/src'])
 #    libraries['libglademm'] = LibraryInfo(LIBS='libglademm',
 #                                          LIBPATH='#libs/libglademm',
 #                                          CPPPATH='#libs/libglademm')
@@ -1182,11 +1176,9 @@
     
     subdirs = [
         'libs/sigc++2',
-        'libs/libsndfile',
         'libs/pbd',
         'libs/midi++2',
         'libs/ardour',
-        'libs/vamp-sdk',
         'libs/vamp-plugins/',
     # these are unconditionally included but have
     # tests internally to avoid compilation etc
@@ -1249,9 +1241,12 @@
 # timestretch libraries
 #
 
-timefx_subdirs = ['libs/soundtouch']
-if env['RUBBERBAND']:
-    timefx_subdirs += ['libs/rubberband']
+if env['SYSLIBS']:
+    timefx_subdirs = []
+else:
+    timefx_subdirs = ['libs/soundtouch']
+    if env['RUBBERBAND']:
+        timefx_subdirs += ['libs/rubberband']
 
 opts.Save('scache.conf', env)
 Help(opts.GenerateHelpText(env))
